package com.yeejoin.amos.maintenance.business.dao.mapper;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.yeejoin.amos.maintenance.business.param.CatalogTreePageParam;

public interface CatalogTreeMapper extends BaseMapper {

	long countCatalogTreeData(CatalogTreePageParam param);
	 public List<HashMap<String,Object>> countCatalognum(@Param("name") String name);
	List<HashMap<String,Object>> getCatalogTreePageInfo(CatalogTreePageParam param);
}
